Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname stringstream

Name:           nodejs-%{srcname}
Version:        0.0.5
Release:        alt1_5
Summary:        Encode and decode streams into string streams
License:        MIT
URL:            https://github.com/mhart/StringStream
Source0:        https://github.com/mhart/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n StringStream-%{version}

rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json stringstream.js \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%{__nodejs} -e 'require("./")'

%files
%doc README.md example.js
%doc --no-dereference LICENSE.txt
%{nodejs_sitelib}/%{srcname}

%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1_5
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt0.1.njs.bootstrap
- bootstrap

